import { ColorScale } from "./types";
import { ColorLegendElement } from "./color-legend-element";
/**
 * handles setting the color scale for the color-legend
 * @ignore - for custom-elements.json
 */
export declare class ColorScaleSetter {
    cle: ColorLegendElement;
    colorScale: ColorScale;
    constructor(cle: ColorLegendElement);
    /**
     * Sets the colorScale value from the scaleType value
     */
    setColorScale(): void;
    /**
     * Sets the colorScale property to either a ScaleSequential or ScaleLinear
     */
    private setContinousColorScale;
    /**
     * Sets the colorScale property to a ScaleQuantize
     */
    private setDiscreteColorScale;
    /**
     * Sets the colorScale property to a ScaleThreshold
     */
    private setThresholdColorScale;
    /**
     * Sets the colorScale to a ScaleOrdinal
     */
    private setCategoricalColorScale;
    /**
     * Handles warning the user they provided an invalid scale type
     * @param value string
     */
    private invalidScaleType;
}
//# sourceMappingURL=color-scale.d.ts.map